> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Like a shout



## OpenAPI

````yaml /api-reference/openapi.json post /app.rocksky.like.likeShout
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.like.likeShout:
    post:
      tags:
        - app.rocksky.like
      summary: Like a shout
      operationId: app.rocksky.like.likeShout
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                uri:
                  type: string
                  description: The unique identifier of the shout to like
                  format: at-uri
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.rocksky.shout.defs.shoutView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.shout.defs.shoutView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the shout.
        message:
          type: string
          description: The content of the shout.
        parent:
          type: string
          description: The ID of the parent shout if this is a reply, otherwise null.
        createdAt:
          type: string
          description: The date and time when the shout was created.
          format: date-time
        author:
          $ref: '#/components/schemas/app.rocksky.shout.defs.author'
    app.rocksky.shout.defs.author:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the author.
        did:
          type: string
          description: The decentralized identifier (DID) of the author.
          format: at-identifier
        handle:
          type: string
          description: The handle of the author.
          format: at-identifier
        displayName:
          type: string
          description: The display name of the author.
        avatar:
          type: string
          description: The URL of the author's avatar image.
          format: uri
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````